html, body {
    margin: 0;
}

body {
    font-family: sans-serif;
    color: #434343;
    background-color: #f7f7f7;
}

#docdoseni-form {
	position: relative;
}

#floating-price-total {
    background-color: #84a55e;
    position: fixed;
    right: 5px;
    bottom: 5px;
    padding: 4px 6px;
    font-size: 14px;
    color: white;
    border-radius: 4px;
}

#floating-price-total.warning {
	background-color: #a55e5e;
}

.form-body {
    margin: 15px;
    max-width: 480px;
}

.form-body .form-row {
    margin: 12px 0;
}

.form-body .label {
    font-size: 14px;
}

.form-body .radio label,
.form-body .checkbox label {
    font-size: 14px;
}

.form-body .form-element {
    margin-top: 5px;
}

.form-body input[type=text],
.form-body input[type=number] {
    box-sizing: border-box;
    width: 100%;
    height: 30px;
    padding-left: 6px;
    border-radius: 4px;
    border: 1px solid gray;
}

.form-body input[type=date], select {
    box-sizing: border-box;
    height: 30px;
    width: 100%;
    border-radius: 4px;
    border: 1px solid gray;
}

input:focus:not(.total-amount), select:focus {
    border-color: #627397 !important;
    background-color: #d3eaff;
    outline: none;
}

.form-body .radio,
.form-body .checkbox {
    display: flex;
    align-items: center;
    margin: 8px 0;
}

.form-body input[type=radio],
.form-body input[type=checkbox] {
    width: 16px;
    height: 16px;
    margin: 0;
}

.form-body input + label {
    padding-left: 8px;
}

.form-body h1 {
    font-size: 16px;
    margin: 25px 0 10px;
}

.form-body p.extra-text {
    font-size: 15px;
    font-style: italic;
}

.form-body a {
    color: #1685e9;
}

.form-body .subtext {
    margin: 10px 0 15px;
    font-size: 15px;
}

.form-body .separator {
    border-bottom: 1px solid #c7c7c7;
    margin: 12px 0;
}

.product-list {
    background-color: #f3fde6;
    border: 1px solid #b0d580;
    padding: 10px;
}

.form-body .product:first-of-type {
    margin-top: 0;
}

.form-body .product:last-of-type {
    margin-bottom: 0;
}

.form-body .product:not(:last-of-type) {
    margin: 15px 0;
    padding: 5px 0;
    border-bottom: 1px solid #b0d580;
}

.form-body .product {
    margin: 25px 0;
}

.form-body .product .label.title {
    font-weight: bold;
}

.form-body .product .form-element {
    margin: 8px 0;
}

.form-body .product .info-text {
    margin-bottom: 8px;
    font-size: 14px;
}

.form-body .product.special-formatting {
    color: #406c93;
}

.form-body .total-amount-info div {
    padding: 10px;
    text-align: center;
}

.form-body .total-amount-info .too-high {
    background-color: #ef591f;
    color: white;
}

.form-body .button-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    text-align: center;
    margin: 20px 0;
}

.form-body .submit-button {
    width: 80%;
    background-color: #e3ffc2;
    border: 1px solid #c3dba7;
    font-weight: bold;
    padding: 8px 15px;
    cursor: pointer;
    border-radius: 4px;
}

.form-body .submit-button:active {
    transform: translate(1px, 1px);
}

.form-body .submit-button.disabled {
    background-color: #efefef;
    border: 1px solid #cdcdcd;
    color: #858585;
}

.form-body .total-amount {
    background-color: #e3ffc2;
    border: 1px solid #c3dba7;
    outline: none;
}

.form-body .total-amount.invalid {
    background-color: #ffd3c2;
    border: 1px solid #dba7a7;
}

.form-body #delivery-address-info {
    background-color: #bfbfdd;
    border: 1px solid #8585ab;
    padding: 5px 10px;
}

.form-body .signature-preview-area img {
    width: 100%;
    border: 1px solid #dbdbdb;
    box-sizing: border-box;
}

#info-area {
    margin-bottom: 20px;
    text-align: center;
    font-size: 14px;
}

#download-area {
    text-align: center;
    font-size: 14px;
    margin: 15px 0;
}

.hidden {
    display: none !important;
}

.loader-box {
    margin: 10px 0;
    text-align: center;
}

.loader {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    display: inline-block;
    position: relative;
    border: 10px solid;
    border-color: rgb(100 210 140 / 15%) rgb(100 210 140 / 25%) rgb(100 210 140 / 35%) rgb(100 210 140 / 50%);
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}